"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x11001dda0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x11001de40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11001dee0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11001df80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x11001e020>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x11001e0c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11001e160>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11001e200>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11001e2a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11001e340>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x11001e3e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x11001e480>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x11001e520>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x11001e5c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x11001e660>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x11001e700>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x11001e7a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x11001e840>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x11001e8e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x11001e980>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x11001ea20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x11001eac0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x11001eb60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x11001ec00>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11001eca0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11001ed40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11001ede0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x11001ee80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x11001ef20>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x11001efc0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x11001f060>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x11001f100>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x11001f1a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x11001f240>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x11001f2e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x11001f380>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x11001f420>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x11001f4c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11001f560>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11001f600>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11001f6a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x11001f740>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x11001f7e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x11001f880>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x11001f920>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x11001f9c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x11001fa60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11001fb00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11001fba0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x11001fc40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x11001fce0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x11001fd80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x11001fe20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x11001fec0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x11001ff60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x110054040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1100540e0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x110054180>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x110054220>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1100542c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x110054360>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x110054400>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1100544a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x110054540>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1100545e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x110054680>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x110054720>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1100547c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x110054860>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x110054900>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1100549a0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x110054a40>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x110054ae0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x110054b80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x110054c20>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x110054cc0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x110054d60>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x110054e00>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x110054ea0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x110054f40>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x110055080>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x110054fe0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x110055120>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1100551c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x110055260>)]
name: str = 'fr_HOCCN'
